ES | EN

📄 MIPYME Documents

Update company branch

PUT
Endpoint URL https://api-billing.koywe.com/V1/company_branches/{company_branch_id}
Requires authentication

Authentication

Send header Authorization: Bearer <token> (obtained from POST /auth) for protected endpoints.

Parameters

NameLocationTypeRequiredDescription
company_branch_idpathstring

Request body — fields

FieldTypeRequiredDescription
account_idintegerOptionalID of the associated account
company_branch_idintegerOptionalID of the company branch
namestringOptionalName of the company branch.
addressstringOptionalAddress of the company branch.
districtstringOptionalDistrict of the company branch.
citystringOptionalCity of the company branch.
phonestringOptionalPhone of the company branch.
company_branch_tax_codestringOptionalTax code assigned to the company branch for fiscal and accounting purposes.
company_branch_internal_codestringOptionalInternal code assigned to the company branch for identification within the system.
parent_company_branch_idintegerOptionalID of the parent company branch.
user_permissionsobjectOptional
user_permissions.user_idstringOptionalUser ID associated to the subscription. Not used on API
user_permissions.user_namestringOptional
user_permissions.has_branch_permissionnumberOptional

Request body — JSON example

{
    "account_id": 0,
    "company_branch_id": 0,
    "name": "string",
    "address": "string",
    "district": "string",
    "city": "string",
    "phone": "string",
    "company_branch_tax_code": "string",
    "company_branch_internal_code": "string",
    "parent_company_branch_id": 0,
    "user_permissions": {
        "user_id": "string",
        "user_name": "string",
        "has_branch_permission": 0
    }
}

Responses

Product location updated successfully